//
//  LOGApi.swift
//  test_wluper_sdk
//
//  Created by Alfonso Farruggia on 17/09/2021.
//

import Foundation
import UIKit


class LOGAPI {
    var _xapikey:String
    var base_url_logging = "https://isq0syz8kg.execute-api.ap-southeast-1.amazonaws.com/"
    var env = ""
    var endpoint_logging = "v1/clients/client1_id/logging"

    init(xapikey:String) {
        _xapikey = xapikey
    }

    func create_request(base_url:String, endpoint:String, method:String, xapikey:String)-> URLRequest {
        let url = URL(string: "\(base_url)\(env)\(endpoint)")!
        var request:URLRequest;
        request = URLRequest(url: url)
        request.httpMethod = method
        request.allHTTPHeaderFields = [ "x-api-key": xapikey ]
        request.setValue("application/json", forHTTPHeaderField: "Accept")
        request.setValue("application/json", forHTTPHeaderField: "Content-Type")
        return request
    }

    public func logging(wluperLog:WluperLog){
        var request = create_request(base_url:base_url_logging, endpoint:endpoint_logging, method:"POST", xapikey:"nT0uIssBh72JtXa8sXZRT7qZEN5I71SUnJLz5QUe")
        let jsonData = try! JSONEncoder().encode(wluperLog)
        request.httpBody = jsonData
        let task = URLSession.shared.dataTask(with: request) { data, response, error in

            if let error = error {
                print("HTTP Request Failed \(error)")
            }
        }
         task.resume();
    }

}
